--Localization for enUS
local addonName, addon = ...

addon.LocaleOverride = nil; --"qpsPLOC";

local baseLocale = {
	["RareCaller"] = "RareCaller",
	["Name"] = "Name",
	["ago"] = " ago.",
	["Alive"] = "Alive",
	["Status"] = "Status",
	["announce"] = "Announce when you target a rare or when a rare dies.",
	["Coordinates"] = " Coordinates:",
	["Dead"] = "Dead",
	["has died"] = " has died.",
	["hidetracking"] = "Hide tracking window while in combat.",
	["Killed"] = "Killed",
	["last killed"] = " was last killed ",
	["optionsConfig"] = "Config",
	["optionsTracking"] = "Tracking",
	["recentkill"] = " was last killed less than a minute ago.",
	["setTomTom"] = "Set TomTom waypoint when a rare is found that you are not targeting.",
	["respond"] = "Respond to requests.",
	["trackTypeHead"] = "Select tracking mode",
	["Current Zone"] = "Current Zone",
	["trackTypeCurrentZoneTooltip"] = "Track rares only in your current zone",
	["All"] = "All",
	["trackTypeAllTooltip"] = "Track rares anywhere in the world",
	["Announcements to general: disabled"] = "Announcements to general: Disabled",
	["Announcements to general: enabled"] = "Announcements to general: Enabled",

	--Four different styles of announcement messages; so it looks less like a machine
	--Lua doesn't have named format arguments, so we have to *know* what order the arguments are in.
	--If your language can't for something gramatically correct in the order needed, then sucks to be you.
	--Name - Health - Coordinates
	["Announcement1"] = "%s (%d%%) Coordinates: %d,%d", --Garrick Padfoot (100%) Coordinates: %d,%d
	--Name - Coordinates - Health
	["Announcement2"] = "%s up %d,%d (%d%%)", --Garrick Padfoot up 57,80 (100%)
	["Announcement3"] = "%s up at %d,%d (%d%%)", --Garrick Padfoot up at 57,80 (100%)
	["Announcement4"] = "%s %d,%d (%d%%)", --Garrick Padfoot 57,80 (100%)
	["Announcement5"] = "%s is up %d,%d (%d%%)", --Garrick Padfoot is up 57,80 (75%)
	
	--Slash command help. Probably not much use in localizing these. The commands themselves ony respond to english
	["RareCaller slash commands"] = "RareCaller slash commands",
	["SlashCommand_toggle"] =      "Toggle announcements to General channel",
	["SlashCommand_update"] =      "Force update of the rares frame",
	["SlashCommand_list"] =        "Lists rares currently known to RareCaller",
	["SlashCommand_remove"] =      "Removes a rare, either by npcID or partial name, from the internal database",
	["SlashCommand_shouldTrack"] = "Returns why an npc currently should, or should not, be tracked",
	["SlashCommand_debugLevel"] =  "Diplays or sets the current debugging level",
	["SlashCommand_debug"] =       "Toggle verbose debugging info",
	
}

addon:RegisterLocale('enUS', baseLocale)