﻿--Localization for qpsPLOC
local addonName, addon = ...

local locale = addon.LocaleOverride or GetLocale();
if (locale  ~= "qpsPLOC") then return; end;
addon:Printf("Registering pseudo locale: %s", locale);

local baseLocale = {
	["RareCaller"] = "RareCaller",
	["Name"] = "Ñãmë",
	["ago"] = " ǻǥᴏ.",
	["Alive"] = "Âlìvë",
	["Status"] = "Štãtüš",
	["announce"] = "Âññóüñçë whëñ ýóü tãrgët ã rãrë ór whëñ ã rãrë dìëš.",
	["Coordinates"] = " Çóórdìñãtëš:",
	["Dead"] = "Ðëãd",
	["has died"] = " hãš dìëd.",
	["hidetracking"] = "Hìdë trãçkìñg wìñdów whìlë ìñ çómbãt.",
	["Killed"] = "Kìllëd",
	["last killed"] = " wãš lãšt kìllëd ",
	["optionsConfig"] = "Çóñƒìg",
	["optionsTracking"] = "Trãçkìñg",
	["recentkill"] = " wãš lãšt kìllëd lëšš thãñ ã mìñütë ãgó.",
	["setTomTom"] = "Šët TómTóm wãýþóìñt whëñ ã rãrë ìš ƒóüñd thãt ýóü ãrë ñót tãrgëttìñg.",
	["respond"] = "Rëšþóñd tó rëqüëštš.",
	["trackTypeHead"] = "Šëlëçt trãçkìñg módë",
	["Current Zone"] = "Çürrëñt Žóñë",
	["trackTypeCurrentZoneTooltip"] = "Trãçk rãrëš óñlý ìñ ýóür çürrëñt žóñë",
	["All"] = "Âll",
	["trackTypeAllTooltip"] = "Trãçk rãrëš ãñýwhërë ìñ thë wórld",
	["Announcements to general: disabled"] = "Âññóüñçëmëñtš tó gëñërãl: Ðìšãblëd",
	["Announcements to general: enabled"] = "Âññóüñçëmëñtš tó gëñërãl: Êñãblëd",

	--Four different styles of announcement messages; so it looks less like a machine
	--Lua doesn't have named format arguments, so we have to *know* what order the arguments are in.
	--If your language can't for something gramatically correct in the order needed, then sucks to be you.
	--Name - Health - Coordinates
	["Announcement1"] = "%s (%d%%) Çóórdìñãtëš: %d,%d", --Garrick Padfoot (100%) Coordinates: %d,%d
	--Name - Coordinates - Health
	["Announcement2"] = "%s üþ %d,%d (%d%%)", --Garrick Padfoot up 57,80 (100%)
	["Announcement3"] = "%s üþ ãt %d,%d (%d%%)", --Garrick Padfoot up at 57,80 (100%)
	["Announcement4"] = "%s %d,%d (%d%%)", --Garrick Padfoot 57,80 (100%)
	["Announcement5"] = "%s ìš üþ %d,%d (%d%%)", --Garrick Padfoot is up 57,80 (75%)
	
	--Slash command help. Probably not much use in localizing these. The commands themselves ony respond to english
	["RareCaller slash commands"] = "RãrëÇãllër šlãšh çómmãñdš",
	["SlashCommand_toggle"] =      "Tógglë ãññóüñçëmëñtš tó Gëñërãl çhãññël",
	["SlashCommand_update"] =      "Fórçë üþdãtë óƒ thë rãrëš ƒrãmë",
	["SlashCommand_list"] =        "Lìštš rãrëš çürrëñtlý kñówñ tó RãrëÇãllër",
	["SlashCommand_remove"] =      "Rëmóvëš ã rãrë, ëìthër bý ñþçÎÐ ór þãrtìãl ñãmë, ƒróm thë ìñtërñãl dãtãbãšë",
	["SlashCommand_shouldTrack"] = "Rëtürñš whý ãñ ñþç çürrëñtlý šhóüld, ór šhóüld ñót, bë trãçkëd",
	["SlashCommand_debugLevel"] =  "Ðìþlãýš ór šëtš thë çürrëñt dëbüggìñg lëvël",
	["SlashCommand_debug"] =       "Tógglë vërbóšë dëbüggìñg ìñƒó",
	
}

addon:RegisterLocale('qpsPLOC', baseLocale);